/oxguard/keys?action=revoke:
  post:
    tags:
      - keys 
    summary: revoke
    consumes:
        - application/x-www-form-urlencoded
    description: Reovkes a PGP key ring.
    parameters:
      - $ref: "#/parameters/gblQueryParamSession"
      - name: keyid
        in: query
        type: integer
        format: int64
        required: true
        description: Specifies the ID of the master-, or sub-key to revoke.
      - name: password
        in: formData
        type: string
        required: true
        description: The password of the private key. Can be omitted if e_password is used.
      - name: e_password
        in: formData
        type: string
        required: false
        description: The, RSA encrypted, password of the private key.
      - name: reason
        in: formData
        type: string
        required: false
        description: Specifies the reason why the key is being revoked.
        enum: 
          - no_reason
          - key_superseded
          - key_compromised
          - key_retired
          - user_no_longer_valid
        default: no_reason
    responses: 
      200: 
        description: An empty response in case the key was revoked.

